( function() {  var mapping = [{"appname":"", "appid":"NET_APPS_PIC32_BZ6_H3_TCP_IP_APP_PIC32CX_BZ6_AND_PIC32WM_BZ6_FAMILY", "path":"GUID-4C8A891F-1515-4F5F-B1F4-E0AC4C9F0706.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_IPERF_APP", "path":"GUID-959837DB-A2A5-4A1A-BD3A-B970D7C65903.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_TCP_CLIENT", "path":"GUID-E767BF33-7F02-4C03-9432-3D1CE36AEAF3.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_TCP_SERVER", "path":"GUID-AF8036CA-F44B-4402-A753-424F1416DF30.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_UDP_CLIENT", "path":"GUID-706D7B11-D625-4564-BC5F-E0E0E37DAF25.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_UDP_SERVER", "path":"GUID-AB485367-D28C-4978-BDDB-A1215F31EDA3.html"},{"appname":"", "appid":"NET_APPS_PIC32_BZ6_TCP_IP_WEB_NET_SERVER_NVM_MPFS", "path":"GUID-09D984B5-2887-4240-BC08-55CDB70186C1.html"}];
            var mchp = (function (mchp) {
                var mchp = mchp || {};
                var mapping = [];
        
                mchp.utils = {};
        
                mchp.utils.getQueryParam = function (name, url = window.location.href) {
                  name = name.replace(/[\[\]]/g, "\\$&");
                  var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
                    results = regex.exec(url);
                  if (!results) return null;
                  if (!results[2]) return "";
                  return decodeURIComponent(results[2].replace(/\+/g, " "));
                };

                mchp.utils.isFirefox = typeof InstallTrigger !== 'undefined';
        
                mchp.init = function (options) {
                  mchp.mapping = options.mapping || [];
                  mchp.bindEvents();
                };
        
                mchp.bindEvents = function () {
                    if (mchp.utils.isFirefox) {
                      window.onload = mchp.checkRedirect;
                    } else {
                      document.onreadystatechange = mchp.checkRedirect;
                    }
                };

                mchp.checkRedirect = function() {
                  var contextId = mchp.utils.getQueryParam("contextId") || "";
                  if (contextId && contextId != undefined) {
                    var record = mchp.mapping.find(function(x){
                      return x.appid && x.appid.toLowerCase() == contextId.toLowerCase();
                    });
                    if (record && record.path) {
                      window.stop();
                      window.location = record.path;
                    }
                  }
                };
        
                return {
                  init: mchp.init,
                };
              })();
        
              mchp.init({
                mapping: mapping
              });

        })();